Bug 90737 - /etc/profile.d/lang.sh by default sets LANG=en_US for unsuspecting users
/etc/profile.d/lang.sh by default sets LANG=en_US for unsuspecting users
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-12 23:05 EDT by Bob Proulx
Modified: 2014-03-16 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-18 20:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Proulx 2003-05-12 23:05:55 EDT
Description of problem:
/etc/profile.d/lang.sh by default sets LANG=en_US for unsuspecting users

Version-Release number of selected component (if applicable):
initscripts-6.67-1

How reproducible:
100% reproducable

Steps to Reproduce:
1. Install Red Hat.
2. Log in.
3. echo $LANG
    
Actual results:
en_US

Expected results:
[...nothing...]

Additional info:
By setting LANG=en_US by default you are choosing a dictionary sort order for
users without letting users know this is what is happening.  There is never
the ability to select POSIX or C as the default LANG.  At install time you
should give users the ability to select C or POSIX as the default.

Setting LANG automatically to a dictionary sort order locale causes all
commands using strcoll(3) to sort in a dictionary sort order which folds
case and ignores punctuation characters resulting in a surprising and
non-standard sort ordering which users are not expecting.  This violates
the principle of least surprise.
Comment 1 Bill Nottingham 2003-05-18 20:14:28 EDT
That is intentional.

Note You need to log in before you can comment on or make changes to this bug.